Subject: bug#70815: [PATCH] ; Enahnce python-tests.el to adapt different python interpreters

From: Mattias Engdegård <[email-masked]>
Date: Sun, 26 May 2024 15:23:46 +0200

26 maj 2024 kl. 14.36 skrev kobarity <[email-masked]>:

> Sorry, I forgot that native completion does not work on Mac, even with
> Python 3.  What I wanted to know is if there is unexpected echo backs
> with Python 2 on Mac.

Not that I can see when running an interactive Python shell in Emacs, no.

> Maybe it is better to prefer "python3", but I don't know if that would
> reliably prevent the problem.  The best way would be to skip some
> tests if the selected interpreter is Python 2 and it is running on
> Mac.

Why select Python 2 in the first place? Is it more important to test Python 2 than Python 3 on other platforms?